<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/entities/basebuilding/misc/expansioncone.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/da6/expansioncone_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansioncone.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d6/da6/expansioncone_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionCone.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">/**@class       ExpansionCone</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment"> * @brief       </span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment"> **/</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d7/d2b/class_expansion_cone.html">   16</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d7/d2b/class_expansion_cone.html">ExpansionCone</a>: <a class="code hl_class" href="../../d1/dc4/class_container___base.html">Container_Base</a> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    <span class="comment">// Constructor</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d7/d2b/class_expansion_cone.html#a523b8540be2d8db7340cc0dd1de5c12a">   21</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d2b/class_expansion_cone.html#a523b8540be2d8db7340cc0dd1de5c12a">ExpansionCone</a>()</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <span class="comment">// Destructor</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d7/d2b/class_expansion_cone.html#a718c7807e09023e7c734ad0deab80653">   28</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d2b/class_expansion_cone.html#a718c7807e09023e7c734ad0deab80653">~ExpansionCone</a>()</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    <span class="comment">// SetActions</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d7/d2b/class_expansion_cone.html#ab6b4913a6ca858728286ab4bae068557">   35</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d2b/class_expansion_cone.html#ab6b4913a6ca858728286ab4bae068557">SetActions</a>()</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        super.SetActions();</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        AddAction( ActionTogglePlaceObject );</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        AddAction( ActionPlaceObject );</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    <span class="comment">// CanPutInCargo</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../d7/d2b/class_expansion_cone.html#a39376fa149308aab4a40514763458961">   46</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d2b/class_expansion_cone.html#a39376fa149308aab4a40514763458961">CanPutInCargo</a> (EntityAI parent)</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    <span class="comment">// IsContainer</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d7/d2b/class_expansion_cone.html#a4bf1ca648cb8e31c825c1fccc89643da">   54</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d2b/class_expansion_cone.html#a4bf1ca648cb8e31c825c1fccc89643da">IsContainer</a>()</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    <span class="comment">// IsHeavyBehaviour</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../d7/d2b/class_expansion_cone.html#a9058d046c5377cb58a3d72985e70ff35">   62</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d2b/class_expansion_cone.html#a9058d046c5377cb58a3d72985e70ff35">IsHeavyBehaviour</a>() </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    <span class="comment">// OnPlacementComplete</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="../../d7/d2b/class_expansion_cone.html#a1380f2e4305db3572f95c1a4494bdd09">   70</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d2b/class_expansion_cone.html#a1380f2e4305db3572f95c1a4494bdd09">OnPlacementComplete</a>( Man player, vector position = <span class="stringliteral">&quot;0 0 0&quot;</span>, vector orientation = <span class="stringliteral">&quot;0 0 0&quot;</span> )</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    {</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="keywordflow">if</span> ( IsMissionHost() )</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        {           </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            SetPosition( position );</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            SetOrientation( orientation );</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            <span class="comment"></span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span><span class="comment">            //! Make the kit invisible, so it can be destroyed from deploy UA when action ends</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span><span class="comment"></span>            HideAllSelections();</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        }   </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        SetIsDeploySound( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>} </div>
<div class="ttc" id="aclass_container___base_html"><div class="ttname"><a href="../../d1/dc4/class_container___base.html">Container_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0d/expansionsafebase_8c_source.html#l00013">expansionsafebase.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_cone_html"><div class="ttname"><a href="../../d7/d2b/class_expansion_cone.html">ExpansionCone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/da6/expansioncone_8c_source.html#l00016">expansioncone.c:17</a></div></div>
<div class="ttc" id="aclass_expansion_cone_html_a1380f2e4305db3572f95c1a4494bdd09"><div class="ttname"><a href="../../d7/d2b/class_expansion_cone.html#a1380f2e4305db3572f95c1a4494bdd09">ExpansionCone::OnPlacementComplete</a></div><div class="ttdeci">override void OnPlacementComplete(Man player, vector position=&quot;0 0 0&quot;, vector orientation=&quot;0 0 0&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/da6/expansioncone_8c_source.html#l00070">expansioncone.c:70</a></div></div>
<div class="ttc" id="aclass_expansion_cone_html_a39376fa149308aab4a40514763458961"><div class="ttname"><a href="../../d7/d2b/class_expansion_cone.html#a39376fa149308aab4a40514763458961">ExpansionCone::CanPutInCargo</a></div><div class="ttdeci">override bool CanPutInCargo(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/da6/expansioncone_8c_source.html#l00046">expansioncone.c:46</a></div></div>
<div class="ttc" id="aclass_expansion_cone_html_a4bf1ca648cb8e31c825c1fccc89643da"><div class="ttname"><a href="../../d7/d2b/class_expansion_cone.html#a4bf1ca648cb8e31c825c1fccc89643da">ExpansionCone::IsContainer</a></div><div class="ttdeci">override bool IsContainer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/da6/expansioncone_8c_source.html#l00054">expansioncone.c:54</a></div></div>
<div class="ttc" id="aclass_expansion_cone_html_a523b8540be2d8db7340cc0dd1de5c12a"><div class="ttname"><a href="../../d7/d2b/class_expansion_cone.html#a523b8540be2d8db7340cc0dd1de5c12a">ExpansionCone::ExpansionCone</a></div><div class="ttdeci">void ExpansionCone()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/da6/expansioncone_8c_source.html#l00021">expansioncone.c:21</a></div></div>
<div class="ttc" id="aclass_expansion_cone_html_a718c7807e09023e7c734ad0deab80653"><div class="ttname"><a href="../../d7/d2b/class_expansion_cone.html#a718c7807e09023e7c734ad0deab80653">ExpansionCone::~ExpansionCone</a></div><div class="ttdeci">void ~ExpansionCone()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/da6/expansioncone_8c_source.html#l00028">expansioncone.c:28</a></div></div>
<div class="ttc" id="aclass_expansion_cone_html_a9058d046c5377cb58a3d72985e70ff35"><div class="ttname"><a href="../../d7/d2b/class_expansion_cone.html#a9058d046c5377cb58a3d72985e70ff35">ExpansionCone::IsHeavyBehaviour</a></div><div class="ttdeci">override bool IsHeavyBehaviour()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/da6/expansioncone_8c_source.html#l00062">expansioncone.c:62</a></div></div>
<div class="ttc" id="aclass_expansion_cone_html_ab6b4913a6ca858728286ab4bae068557"><div class="ttname"><a href="../../d7/d2b/class_expansion_cone.html#ab6b4913a6ca858728286ab4bae068557">ExpansionCone::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/da6/expansioncone_8c_source.html#l00035">expansioncone.c:35</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_e66306a3976d6d81f5e1305840c1314d.html">BaseBuilding</a></li><li class="navelem"><a class="el" href="../../dir_92106a510097343a3fe1c14124c59151.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_844bf89108e22cf51aae4b5452c2c906.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_a0e24776517e17f620f1adfb86971bb4.html">dayzexpansion_basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_4995a40041868e6722cdb7419e4f96ba.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_d76d15f1a001f28b24d297fe71ced766.html">basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_b2eeed86d41e07b7ca401ec98dcf69f8.html">misc</a></li><li class="navelem"><a class="el" href="../../d6/da6/expansioncone_8c.html">expansioncone.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
